aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-relatorio/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2012-03-01 17:47:35 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2012-05-17 13:34:32 +0000
commitc706017296ad948c513d8422dec5faaa4d935dcc (patch)
treecf8b6d2db75ec5d5c561c4a67223207ff178fd4b /testing/py-relatorio/APKBUILD
parentf938273063f559ddc9e42875c10643a55c0b7b63 (diff)
downloadaports-c706017296ad948c513d8422dec5faaa4d935dcc.tar.gz
aports-c706017296ad948c513d8422dec5faaa4d935dcc.tar.bz2
aports-c706017296ad948c513d8422dec5faaa4d935dcc.tar.xz
testing/py-relatorio: new aport
Relatorio is an OpenHex and B2CK project to easily create reports in a variety of formats (openoffice text, PDF, XHTML) from python objects. http://relatorio.openhex.org/
Diffstat (limited to 'testing/py-relatorio/APKBUILD')
-rw-r--r--testing/py-relatorio/APKBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/testing/py-relatorio/APKBUILD b/testing/py-relatorio/APKBUILD
new file mode 100644
index 0000000000..e367411270
--- /dev/null
+++ b/testing/py-relatorio/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-relatorio
+_pkgname=relatorio
+pkgver=0.5.6
+pkgrel=0
+pkgdesc="A templating library able to output odt and pdf files"
+url="http://relatorio.openhex.org"
+arch="noarch"
+license="GPL3+"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/r/$_pkgname/$_pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$_pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="944fb60fadaff451ab6ee8818de516ad relatorio-0.5.6.tar.gz"